> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Data Providers

> Use the /api/v1/providers endpoint to retrieve a list of all supported Data Providers in the Outbound ecosystem.

Use the `/api/v1/providers` endpoint to retrieve a list of all supported Data Providers in the Outbound ecosystem.

You may need this information for marketing purposes, or to show your customers who we support.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint to obtain a valid `access_token` using the following settings:

* grant\_type: `client_credentials`
* client\_id: `{partner client_id}`
* client\_secret: `{partner client_secret}`
* scope: `client:admin`


## OpenAPI

````yaml /openapi-outbound.yaml GET /api/v1/providers
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/providers:
    get:
      tags:
        - Outbound
      summary: Get Supported Data Providers
      description: >-
        Use the /api/v1/providers endpoint to retrieve a list of all supported
        Data Providers in the Outbound ecosystem.
      operationId: listSupportedDataProviders
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    provider_id:
                      type: integer
                      description: Unique identifier for the data provider.
                    name:
                      type: string
                      description: Name of the data provider.
                    country:
                      type: string
                      description: Country code of the data provider (e.g., CA, US).
                    scopes:
                      type: array
                      items:
                        type: string
                      description: >-
                        List of data scopes supported by the data provider
                        (e.g., ACCOUNT_BASIC, ACCOUNT_DETAILED, TRANSACTIONS,
                        STATEMENTS, CUSTOMER_CONTACT, CUSTOMER_PERSONAL,
                        INVESTMENTS, ACCOUNT_PAYMENTS).
              example:
                - provider_id: 1000
                  name: Flinks Capital
                  country: CA
                  scopes:
                    - ACCOUNT_BASIC
                    - ACCOUNT_DETAILED
                    - ACCOUNT_PAYMENTS
                    - INVESTMENTS
                    - TRANSACTIONS
                    - STATEMENTS
                    - CUSTOMER_CONTACT
                    - CUSTOMER_PERSONAL
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid request parameters
        '401':
          description: Unauthorized - Expired or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid Bearer Token
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Internal Server Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````